# Update a Payment Method Update some simple fields on the specified payment method. Endpoint: PUT /v2/customer/payment-methods/{paymentMethodId} Version: v2 Security: ApiKeySecurityScheme, CustomerAppScopeSecurityScheme, CustomerTokenSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Path parameters: - `paymentMethodId` (string, required) The ID of the payment method that's being worked on. ## Request fields (application/json): - `nickname` (string) The nickname for the saved payment method - `isDefault` (boolean) If this value is set to true, then the previously default payment method on this customer's account will no longer be default. ## Response 200 fields (application/json): - `paymentMethod` (object, required) - `paymentMethod._id` (string, required) ID of the object - `paymentMethod.last4` (string, required) Last 4 digits of the card on file - `paymentMethod.expirationMonth` (integer, required) - `paymentMethod.expirationYear` (integer, required) - `paymentMethod.postalCode` (string) The postal code of the card's billing address. - `paymentMethod.cardSchemeId` (integer, required) Card brand: * 0 - Other * 1 - Visa * 2 - MasterCard * 3 - Maestro * 4 - AmEx * 5 - JCB * 6 - Diners * 7 - Discover * 12 - ChinaUnionPay * 1240 - Debit * 1241 - Interac * 10001 - SquareGiftCard * 10002 - SquareEftPos * 67101 - TCC * 67102 - LevelUpDiscount * 67103 - LevelUpGiftCard * 67104 - LevelUpCreditCard * 67105 - Givex * 67106 - Atrium * 67107 - Archer * 67108 - PinataStoredValue * 67109 - Valutec * 67110 - PaytronixGiftCard * 67111 - OLOGiftCard * 67112 - WorldpayGiftCard * 67113 - FreedomPayGiftCard * 67114 - EigenGiftCard * 67115 - ChoptDiscount * 67116 - ChoptGiftCard * 67117 - ChoptCreditCard - `paymentMethod.nickname` (string) The nickname for the saved payment method - `paymentMethod.isDefault` (boolean) If this value is true, then no other delivery address associated with this customer account will be marked as isDefault=true. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields